# Uses of Class
org.eclipse.birt.report.engine.api.DataSetID

Packages that use DataSetID
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of DataSetID in org.eclipse.birt.report.engine.api

Fields in org.eclipse.birt.report.engine.api declared as DataSetID
Modifier and Type
Field
Description
`protected DataSetID`
DataID.`dataSet`
Data set id.
Methods in org.eclipse.birt.report.engine.api that return DataSetID
Modifier and Type
Method
Description
`DataSetID`
DataID.`getDataSetID()`
return the data set.
`DataSetID`
DataSetID.`getParentID()`
parent data set if any.
`static DataSetID`
DataSetID.`parse(char[] buffer, int offset, int length)`
Parse dataSetID.
`static DataSetID`
DataSetID.`parse(String dataSetId)`
Parse the dataSetID of a String
Constructors in org.eclipse.birt.report.engine.api with parameters of type DataSetID
Modifier
Constructor
Description
``
`DataID(DataSetID dataSet, long rowId)`
Create the new data id instance.
``
`DataID(DataSetID dataSet, String cellId)`
Create the new data id instantce.
``
`DataSetID(DataSetID parent, long rowId, String queryName)`
DataSetID of the subquery.
``
`DataSetID(DataSetID parent, String cellId, String queryName)`
DataSetID of the subquery.

## Uses of DataSetID in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return DataSetID
Modifier and Type
Method
Description
`DataSetID`
IBaseResultSet.`getID()`